Skip to main content
GET
/
vendors
/
openai
/
v1
/
gpt-image-2
/
edit
/
{task_id}
Get Edit Task
curl --request GET \
  --url https://api.mulerouter.ai/vendors/openai/v1/gpt-image-2/edit/{task_id} \
  --header 'Authorization: Bearer <token>'
{
  "task_info": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "completed",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "images": [
    "<string>"
  ]
}
Use this endpoint to poll an in-flight GPT Image 2 image-edit task until it finishes and returns the edited image URLs.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

task_id
string<uuid>
required

Response

Task result

task_info
object
images
string<uri>[]

Generated/edited image URLs (only present when status is completed)